Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je.rep
Class RestartRequiredException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.sleepycat.je.DatabaseException
                      com.sleepycat.je.RunRecoveryException
                          com.sleepycat.je.EnvironmentFailureException
                              com.sleepycat.je.rep.RestartRequiredException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  InsufficientLogException, RollbackException, RollbackProhibitedException

    public abstract class RestartRequiredException

extends EnvironmentFailureException

RestartRequiredException serves as the base class for all exceptions which makes it impossible for HA to proceed without some form of corrective action on the part of the user, followed by a restart of the application. The corrective action may involve an increase in resources used by the application, a JE configurations change, discarding cached state, etc. The error message details the nature of the problem.

See Also:
  Serialized Form

Constructor Summary
`` | `RestartRequiredException(com.sleepycat.je.dbi.EnvironmentImpl envImpl, com.sleepycat.je.dbi.EnvironmentFailureReason reason)`
`` | `RestartRequiredException(com.sleepycat.je.dbi.EnvironmentImpl envImpl, com.sleepycat.je.dbi.EnvironmentFailureReason reason, Exception cause)`
`protected` | `RestartRequiredException(String message, RestartRequiredException cause)` For internal use only.

Method Summary

Methods inherited from class com.sleepycat.je.EnvironmentFailureException
`getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RestartRequiredException

    public RestartRequiredException(com.sleepycat.je.dbi.EnvironmentImpl envImpl,
                                    com.sleepycat.je.dbi.EnvironmentFailureReason reason)

### RestartRequiredException

    public RestartRequiredException(com.sleepycat.je.dbi.EnvironmentImpl envImpl,
                                    com.sleepycat.je.dbi.EnvironmentFailureReason reason,
                                    Exception cause)

### RestartRequiredException

    protected RestartRequiredException(String message,
                                       RestartRequiredException cause)

  For internal use only.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Oracle. All rights reserved.